> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List enterprises

> Retrieve a paginated list of enterprises associated with your account.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/enterprises.yml get /enterprises
openapi: 3.1.0
info:
  title: Telnyx Number Reputation Enterprises API
  version: 2.0.0
  description: >-
    Manage enterprises for Number Reputation. An enterprise represents your
    business entity and is the top-level resource for reputation monitoring.
    Register your organization once, then enable Number Reputation to start
    monitoring your phone numbers' spam reputation.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises:
    get:
      tags:
        - Enterprises
      summary: List enterprises
      description: Retrieve a paginated list of enterprises associated with your account.
      operationId: ListEnterprises
      parameters:
        - name: page[number]
          in: query
          description: Page number (1-indexed)
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page[size]
          in: query
          description: Number of items per page
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: legal_name
          in: query
          description: Filter by legal name (partial match)
          schema:
            type: string
            example: Acme
      responses:
        '200':
          description: List of enterprises
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseListPublic'
        '401':
          $ref: '#/components/responses/Unauthorized'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const enterprisePublic of client.enterprises.list()) {
              console.log(enterprisePublic.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.enterprises.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Enterprises.List(context.TODO(), telnyx.EnterpriseListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.enterprises.EnterpriseListPage;
            import com.telnyx.sdk.models.enterprises.EnterpriseListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    EnterpriseListPage page = client.enterprises().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.enterprises.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx enterprises list \
              --api-key 'My API Key'
components:
  schemas:
    EnterpriseListPublic:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EnterprisePublic'
        meta:
          $ref: '#/components/schemas/MetaInfo'
    EnterprisePublic:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the enterprise
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        legal_name:
          type: string
          description: Legal name of the enterprise
          example: Acme Corp Inc.
        doing_business_as:
          type: string
          description: DBA name
          example: Acme
        organization_type:
          type: string
          enum:
            - commercial
            - government
            - non_profit
          description: Type of organization
        country_code:
          type: string
          description: ISO 3166-1 alpha-2 country code
          example: US
        role_type:
          type: string
          enum:
            - enterprise
            - bpo
          description: Role type in Branded Calling / Number Reputation services
        customer_reference:
          type: string
          nullable: true
          description: Customer reference identifier
        website:
          type: string
          nullable: true
          description: Company website URL
        fein:
          type: string
          nullable: true
          description: Federal Employer Identification Number
        industry:
          type: string
          nullable: true
          description: Industry classification
        number_of_employees:
          type: string
          nullable: true
          enum:
            - 1-10
            - 11-50
            - 51-200
            - 201-500
            - 501-2000
            - 2001-10000
            - 10001+
          description: Employee count range
        organization_legal_type:
          type: string
          nullable: true
          enum:
            - corporation
            - llc
            - partnership
            - nonprofit
            - other
          description: Legal structure type
        primary_business_domain_sic_code:
          type: string
          nullable: true
          description: SIC Code
        corporate_registration_number:
          type: string
          nullable: true
          description: Corporate registration number
        professional_license_number:
          type: string
          nullable: true
          description: Professional license number
        dun_bradstreet_number:
          type: string
          nullable: true
          description: D-U-N-S Number
        organization_contact:
          $ref: '#/components/schemas/OrganizationContact'
        billing_contact:
          $ref: '#/components/schemas/BillingContact'
        organization_physical_address:
          $ref: '#/components/schemas/PhysicalAddress'
        billing_address:
          $ref: '#/components/schemas/BillingAddress'
        created_at:
          type: string
          format: date-time
          description: When the enterprise was created
        updated_at:
          type: string
          format: date-time
          description: When the enterprise was last updated
    MetaInfo:
      type: object
      properties:
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Items per page
        total_results:
          type: integer
          description: Total number of results
        total_pages:
          type: integer
          description: Total number of pages
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    OrganizationContact:
      type: object
      required:
        - first_name
        - last_name
        - email
        - job_title
        - phone
      properties:
        first_name:
          type: string
          maxLength: 255
          description: Contact's first name
          example: Jane
        last_name:
          type: string
          maxLength: 255
          description: Contact's last name
          example: Smith
        email:
          type: string
          format: email
          maxLength: 255
          description: Contact's email address
          example: jane.smith@acme.com
        job_title:
          type: string
          maxLength: 255
          description: Contact's job title (required)
          example: VP of Engineering
        phone:
          type: string
          maxLength: 20
          description: Contact's phone number in E.164 format
          example: '+16035551234'
      description: >-
        Organization contact information. Note: the response returns this object
        with the phone field as 'phone' (not 'phone_number').
    BillingContact:
      type: object
      required:
        - first_name
        - last_name
        - email
        - phone_number
      properties:
        first_name:
          type: string
          maxLength: 255
          description: Contact's first name
          example: John
        last_name:
          type: string
          maxLength: 255
          description: Contact's last name
          example: Doe
        email:
          type: string
          format: email
          maxLength: 255
          description: Contact's email address
          example: billing@acme.com
        phone_number:
          type: string
          maxLength: 20
          description: Contact's phone number (10-15 digits)
          example: '15551234568'
    PhysicalAddress:
      type: object
      required:
        - country
        - administrative_area
        - city
        - postal_code
        - street_address
      properties:
        country:
          type: string
          maxLength: 100
          description: Country name (e.g., United States)
          example: United States
        administrative_area:
          type: string
          maxLength: 100
          description: State or province
          example: Illinois
        city:
          type: string
          maxLength: 100
          description: City name
          example: Chicago
        postal_code:
          type: string
          maxLength: 20
          description: ZIP or postal code
          example: '60601'
        street_address:
          type: string
          maxLength: 255
          description: Street address
          example: 123 Main St
        extended_address:
          type: string
          nullable: true
          maxLength: 255
          description: Additional address line (suite, apt, etc.)
          example: Suite 400
    BillingAddress:
      type: object
      required:
        - country
        - administrative_area
        - city
        - postal_code
        - street_address
      properties:
        country:
          type: string
          maxLength: 100
          description: Country name (e.g., United States)
          example: United States
        administrative_area:
          type: string
          maxLength: 100
          description: State or province
          example: Illinois
        city:
          type: string
          maxLength: 100
          description: City name
          example: Chicago
        postal_code:
          type: string
          maxLength: 20
          description: ZIP or postal code
          example: '60601'
        street_address:
          type: string
          maxLength: 255
          description: Street address
          example: 123 Main St
        extended_address:
          type: string
          nullable: true
          maxLength: 255
          description: Additional address line (suite, apt, etc.)
          example: Suite 400
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  responses:
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````